Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161491 - Grub causes Error 15
Summary: Grub causes Error 15
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: grub
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-23 18:04 UTC by Piotr Wojciechowski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: grub-0.97-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-20 07:57:01 UTC


Attachments (Terms of Use)
device.map (deleted)
2005-07-18 20:43 UTC, Piotr Wojciechowski
no flags Details
fstab (deleted)
2005-07-18 20:44 UTC, Piotr Wojciechowski
no flags Details
grub.conf (deleted)
2005-07-18 20:44 UTC, Piotr Wojciechowski
no flags Details

Description Piotr Wojciechowski 2005-06-23 18:04:38 UTC
Description of problem:

Cannot boot using grub from FC4. Grub reports no error during install in MBR,
but booting causes "ERROR 15" message.


Version-Release number of selected component (if applicable):

0.95-13

How reproducible:

Problem is only On one machine. On two others everything is OK.

Steps to Reproduce:
1. Install new config in MBR
2. Reboot
3.
  
Actual results:

Bood procedure stops before boot menu

Expected results:

Booting system

Additional info:

Downgrade grub to version from FC3 solves problem

Comment 2 Peter Jones 2005-07-06 22:50:19 UTC
Please attach /etc/fstab, /boot/grub/device.map, and /boot/grub/grub.conf 

Comment 3 Piotr Wojciechowski 2005-07-18 20:43:14 UTC
Created attachment 116897 [details]
device.map

Comment 4 Piotr Wojciechowski 2005-07-18 20:44:09 UTC
Created attachment 116898 [details]
fstab

Comment 5 Piotr Wojciechowski 2005-07-18 20:44:48 UTC
Created attachment 116899 [details]
grub.conf

Here are requested files

Comment 6 Piotr Wojciechowski 2005-08-22 23:46:22 UTC
This problem also happend on x86_64 architecture on clean system. After
installation clean Fedora I couldn't boot it because of CRC error in kernel
image (!!!). I installed newer kernel using rescue CD and run grub-install and
again Error 15 appeared.

Comment 7 Piotr Wojciechowski 2006-03-22 11:22:06 UTC
Package from FC5 on i386 works ok

Comment 8 Christian Iseli 2007-01-20 00:49:00 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 9 Piotr Wojciechowski 2007-01-20 07:55:35 UTC
Works fine in FC6


Note You need to log in before you can comment on or make changes to this bug.